package com.example.notifyservice;

import android.content.Context;

import androidx.annotation.NonNull;

import org.json.JSONObject;

import java.io.IOException;

import okhttp3.Call;
import okhttp3.Callback;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.Response;

public class GetRequest {

    private Context context;
    private GetRequestCallback callback;

    public GetRequest(Context context, GetRequestCallback callback) {
        this.context = context;
        this.callback = callback;
    }

    public final OkHttpClient client = new OkHttpClient();

    public void execute(String... params) {
        String urlString = params[0];

        Request request = new Request.Builder().url(urlString).get().build();

        Call call = client.newCall(request);
        call.enqueue(new Callback() {
            public void onResponse(@NonNull Call call, @NonNull Response response) throws IOException {
                onGetExecute(response.body() != null ? response.body().string() : "");
            }

            public void onFailure(@NonNull Call call, @NonNull IOException e) {

            }
        });
    }


    protected void onGetExecute(String result) {
        try {
            callback.onGetResponse((new JSONObject(
                    result
            )));
        } catch (Exception e) {
        }
    }

}
